Unlock a card
curl --request PUT \
--url https://app.payemcard.com/api/partner/v1/cards/{id}/unlock \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.payemcard.com/api/partner/v1/cards/{id}/unlock"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.payemcard.com/api/partner/v1/cards/{id}/unlock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"type": "EMPLOYEE",
"status": "UNACTIVATED",
"label": "<string>",
"last_four": "<string>",
"card_network": "<string>",
"classification": {
"department_id": 123,
"account_id": 123,
"class_id": 123,
"location_id": 123
},
"vendor_details": {
"id": 123,
"name": "<string>"
},
"subsidiary_details": {
"id": 123,
"name": "<string>"
},
"employee_details": {
"id": 123,
"email": "<string>"
},
"spend_controls": {
"periodic_limits": {
"max_daily_amount": 123,
"max_weekly_amount": 123,
"max_monthly_amount": 123,
"max_quarter_amount": 123,
"max_yearly_amount": 123
},
"hard_limit": 123,
"max_single_transaction": 123,
"max_transactions_count": 123,
"valid_from": "2023-12-25",
"valid_to": "2023-12-25"
},
"usage": {
"day": 123,
"week": 123,
"month": 123,
"quarter": 123,
"year": 123,
"hard_limit": 123
},
"shared_with": [
123
]
}cards
Unlock a card
PUT
/
api
/
partner
/
v1
/
cards
/
{id}
/
unlock
Unlock a card
curl --request PUT \
--url https://app.payemcard.com/api/partner/v1/cards/{id}/unlock \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.payemcard.com/api/partner/v1/cards/{id}/unlock"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.payemcard.com/api/partner/v1/cards/{id}/unlock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"type": "EMPLOYEE",
"status": "UNACTIVATED",
"label": "<string>",
"last_four": "<string>",
"card_network": "<string>",
"classification": {
"department_id": 123,
"account_id": 123,
"class_id": 123,
"location_id": 123
},
"vendor_details": {
"id": 123,
"name": "<string>"
},
"subsidiary_details": {
"id": 123,
"name": "<string>"
},
"employee_details": {
"id": 123,
"email": "<string>"
},
"spend_controls": {
"periodic_limits": {
"max_daily_amount": 123,
"max_weekly_amount": 123,
"max_monthly_amount": 123,
"max_quarter_amount": 123,
"max_yearly_amount": 123
},
"hard_limit": 123,
"max_single_transaction": 123,
"max_transactions_count": 123,
"valid_from": "2023-12-25",
"valid_to": "2023-12-25"
},
"usage": {
"day": 123,
"week": 123,
"month": 123,
"quarter": 123,
"year": 123,
"hard_limit": 123
},
"shared_with": [
123
]
}Authorizations
Short-lived OAuth 2.0 access token. Tokens expire after five minutes.
Path Parameters
Response
200 - application/json
EMPLOYEE- EMPLOYEEVENDOR- VENDORSINGLE-USE- SINGLE_USE
Available options:
EMPLOYEE, VENDOR, SINGLE-USE UNACTIVATED- UNACTIVATEDACTIVE- ACTIVEUSER_SUSPENDED- USER_SUSPENDEDADMIN_SUSPENDED- ADMIN_SUSPENDEDAUTO_SUSPENDED- AUTO_SUSPENDEDTERMINATED- TERMINATEDIN_PROCESS- IN_PROCESSPREACTIVE- PREACTIVE
Available options:
UNACTIVATED, ACTIVE, USER_SUSPENDED, ADMIN_SUSPENDED, AUTO_SUSPENDED, TERMINATED, IN_PROCESS, PREACTIVE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
